Initial
[whiptailexamples/.git] / inputbox.sh
diff --git a/inputbox.sh b/inputbox.sh
new file mode 100755 (executable)
index 0000000..db0d1d5
--- /dev/null
@@ -0,0 +1,9 @@
+#!/bin/bash
+PET=$(whiptail --title "Test Free-form Input Box" --inputbox "What is your pet's name?" 10 60 Wigglebutt 3>&1 1>&2 2>&3)
+exitstatus=$?
+if [ $exitstatus = 0 ]; then
+    echo "Your pet name is:" $PET
+else
+    echo "You chose Cancel."
+fi